using System;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }

    private void BindGrid()
    {
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        string query = "SELECT Name, Country FROM Customers";

        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    using (DataTable dt = new DataTable())
                    {
                        sda.Fill(dt);
                        con.Open();
                        gvCustomers.DataSource = dt;
                        gvCustomers.DataBind();
                        con.Close();
                    }
                }
            }
        }
    }

    protected void Add(object sender, EventArgs e)
    {
        Control control = null;
        if (gvCustomers.FooterRow != null)
        {
            control = gvCustomers.FooterRow;
        }
        else
        {
            control = gvCustomers.Controls[0].Controls[0];
        }

        string name = (control.FindControl("txtName") as TextBox).Text;
        string country = (control.FindControl("txtCountry") as TextBox).Text;
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        string query = "INSERT INTO Customers VALUES(@Name, @Country)";

        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                cmd.Parameters.AddWithValue("@Name", name);
                cmd.Parameters.AddWithValue("@Country", country);
                con.Open();
                cmd.ExecuteNonQuery();
                con.Close();
            }
        }
        Response.Redirect(Request.Url.AbsoluteUri);
    }
}
